#pragma once
#include "War3TypesAndConstants.h"
#include "War3StrID.h"
#include <windows.h>
#include <string>
using namespace std;

typedef string CString;

class CTilesetGroup  
{
public:
	void AddTile(CWar3StrID tileID);
	void AddCliff(CWar3StrID cliffID);
	CTilesetGroup();
	virtual ~CTilesetGroup();
	CString groupName;
	CString tiles;
	CString cliffs;
	COLORREF waterColor;
	float fWaterAlpha;
	char groupID;
};